com.trendmicro.ds.platform.rest.object

## Enum Condition.Field

- java.lang.Object
- - java.lang.Enum<Condition.Field>
  - - com.trendmicro.ds.platform.rest.object.Condition.Field

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Condition.Field>
  Enclosing class:
    Condition

      public static enum Condition.Field
      extends java.lang.Enum<Condition.Field>

  The event field to match against for a condition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLIANCE_PROTECTION_ACTIVATED` Match against the state of appliance protection of the host that the event occurred on.
    `APPLIANCE_PROTECTION_AVAILABLE` Match against the state of appliance protection of the host that the event occurred on.
    `CLOUD_PROVIDER` Match against the cloud provider of the host that the event occurred on.
    `ESX` Match against the ESX host of the host that the event occurred on.
    `FOLDER` Match against the folder of the host that the event occurred on.
    `HOSTNAME` Match against the name of the host that the event occurred on.
    `IMAGE_ID` Match against the image identifier of the host that the event occurred on.
    `IP` Match against the IP address of the host that the event occurred on.
    `NSX_SECURITY_GROUP` Match against the NSX security group of the host that the event occurred on.
    `PLATFORM` Match against the platform name of the host that the event occurred on.
    `SECURITY_GROUP` Match against the security group name of the host that the event occurred on.
    `TAG` Match against a tag on the host that the event occurred on.
    `VCENTER` Match against the vCenter of the host that the event occurred on.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Condition.Field` | `fromValue(java.lang.String value)`
    `java.lang.String` | `getValue()`
    `static Condition.Field` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Condition.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOSTNAME

          public static final Condition.Field HOSTNAME

      Match against the name of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### VCENTER

          public static final Condition.Field VCENTER

      Match against the vCenter of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### CLOUD_PROVIDER

          public static final Condition.Field CLOUD_PROVIDER

      Match against the cloud provider of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### SECURITY_GROUP

          public static final Condition.Field SECURITY_GROUP

      Match against the security group name of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### IMAGE_ID

          public static final Condition.Field IMAGE_ID

      Match against the image identifier of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### ESX

          public static final Condition.Field ESX

      Match against the ESX host of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### FOLDER

          public static final Condition.Field FOLDER

      Match against the folder of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### PLATFORM

          public static final Condition.Field PLATFORM

      Match against the platform name of the host that the event occurred on. Regular expressions are supported for the match value.

    - #### APPLIANCE_PROTECTION_AVAILABLE

          public static final Condition.Field APPLIANCE_PROTECTION_AVAILABLE

      Match against the state of appliance protection of the host that the event occurred on. Valid values are `true` and `false`.

    - #### APPLIANCE_PROTECTION_ACTIVATED

          public static final Condition.Field APPLIANCE_PROTECTION_ACTIVATED

      Match against the state of appliance protection of the host that the event occurred on. Valid values are `true` and `false`.

    - #### IP

          public static final Condition.Field IP

      Match against the IP address of the host that the event occurred on. The value may be an IP list.

    - #### TAG

          public static final Condition.Field TAG

      Match against a tag on the host that the event occurred on. This is a key / value condition: set the key to the name of the tag and the value to the tag value. Regular expressions are supported for the tag value.

    - #### NSX_SECURITY_GROUP

          public static final Condition.Field NSX_SECURITY_GROUP

      Match against the NSX security group of the host that the event occurred on. Regular expressions are supported for the match value.

  - ### Method Detail

    - #### values

          public static Condition.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Condition.Field c : Condition.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Condition.Field valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### fromValue

          public static Condition.Field fromValue(java.lang.String value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.